package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Objects;

/**
 * StormCtrl
 */
@ApiModel(description = "StormCtrl")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class StormCtrlEntity   {
  @JsonProperty("unknownUnicastEnable")
  private Boolean unknownUnicastEnable;

  @JsonProperty("unknownUnicast")
  private Integer unknownUnicast;

  @JsonProperty("multicastEnable")
  private Boolean multicastEnable;

  @JsonProperty("multicast")
  private Integer multicast;

  @JsonProperty("broadcastEnable")
  private Boolean broadcastEnable;

  @JsonProperty("broadcast")
  private Integer broadcast;

  @JsonProperty("action")
  private Integer action;

  @JsonProperty("recoverTime")
  private Integer recoverTime;

  public StormCtrlEntity unknownUnicastEnable(Boolean unknownUnicastEnable) {
    this.unknownUnicastEnable = unknownUnicastEnable;
    return this;
  }

  /**
   * Unknown-Unicast enable status
   * @return unknownUnicastEnable
  */
  @ApiModelProperty(required = true, value = "Unknown-Unicast enable status")
  @NotNull


  public Boolean getUnknownUnicastEnable() {
    return unknownUnicastEnable;
  }

  public void setUnknownUnicastEnable(Boolean unknownUnicastEnable) {
    this.unknownUnicastEnable = unknownUnicastEnable;
  }

  public StormCtrlEntity unknownUnicast(Integer unknownUnicast) {
    this.unknownUnicast = unknownUnicast;
    return this;
  }

  /**
   * Unknown-Unicast
   * @return unknownUnicast
  */
  @ApiModelProperty(value = "Unknown-Unicast")


  public Integer getUnknownUnicast() {
    return unknownUnicast;
  }

  public void setUnknownUnicast(Integer unknownUnicast) {
    this.unknownUnicast = unknownUnicast;
  }

  public StormCtrlEntity multicastEnable(Boolean multicastEnable) {
    this.multicastEnable = multicastEnable;
    return this;
  }

  /**
   * Multicast enable status
   * @return multicastEnable
  */
  @ApiModelProperty(required = true, value = "Multicast enable status")
  @NotNull


  public Boolean getMulticastEnable() {
    return multicastEnable;
  }

  public void setMulticastEnable(Boolean multicastEnable) {
    this.multicastEnable = multicastEnable;
  }

  public StormCtrlEntity multicast(Integer multicast) {
    this.multicast = multicast;
    return this;
  }

  /**
   * Multicast
   * @return multicast
  */
  @ApiModelProperty(value = "Multicast")


  public Integer getMulticast() {
    return multicast;
  }

  public void setMulticast(Integer multicast) {
    this.multicast = multicast;
  }

  public StormCtrlEntity broadcastEnable(Boolean broadcastEnable) {
    this.broadcastEnable = broadcastEnable;
    return this;
  }

  /**
   * Broadcast enable status
   * @return broadcastEnable
  */
  @ApiModelProperty(required = true, value = "Broadcast enable status")
  @NotNull


  public Boolean getBroadcastEnable() {
    return broadcastEnable;
  }

  public void setBroadcastEnable(Boolean broadcastEnable) {
    this.broadcastEnable = broadcastEnable;
  }

  public StormCtrlEntity broadcast(Integer broadcast) {
    this.broadcast = broadcast;
    return this;
  }

  /**
   * Broadcast
   * @return broadcast
  */
  @ApiModelProperty(value = "Broadcast")


  public Integer getBroadcast() {
    return broadcast;
  }

  public void setBroadcast(Integer broadcast) {
    this.broadcast = broadcast;
  }

  public StormCtrlEntity action(Integer action) {
    this.action = action;
    return this;
  }

  /**
   * Action should be a value as follows: 0: drop(default), 1: shutdown
   * @return action
  */
  @ApiModelProperty(required = true, value = "Action should be a value as follows: 0: drop(default), 1: shutdown")
  @NotNull


  public Integer getAction() {
    return action;
  }

  public void setAction(Integer action) {
    this.action = action;
  }

  public StormCtrlEntity recoverTime(Integer recoverTime) {
    this.recoverTime = recoverTime;
    return this;
  }

  /**
   * Recover Time should be within the range of 1-3600, default 3600
   * @return recoverTime
  */
  @ApiModelProperty(value = "Recover Time should be within the range of 1-3600, default 3600")


  public Integer getRecoverTime() {
    return recoverTime;
  }

  public void setRecoverTime(Integer recoverTime) {
    this.recoverTime = recoverTime;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    StormCtrlEntity stormCtrlEntity = (StormCtrlEntity) o;
    return Objects.equals(this.unknownUnicastEnable, stormCtrlEntity.unknownUnicastEnable) &&
        Objects.equals(this.unknownUnicast, stormCtrlEntity.unknownUnicast) &&
        Objects.equals(this.multicastEnable, stormCtrlEntity.multicastEnable) &&
        Objects.equals(this.multicast, stormCtrlEntity.multicast) &&
        Objects.equals(this.broadcastEnable, stormCtrlEntity.broadcastEnable) &&
        Objects.equals(this.broadcast, stormCtrlEntity.broadcast) &&
        Objects.equals(this.action, stormCtrlEntity.action) &&
        Objects.equals(this.recoverTime, stormCtrlEntity.recoverTime);
  }

  @Override
  public int hashCode() {
    return Objects.hash(unknownUnicastEnable, unknownUnicast, multicastEnable, multicast, broadcastEnable, broadcast, action, recoverTime);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class StormCtrlEntity {\n");
    
    sb.append("    unknownUnicastEnable: ").append(toIndentedString(unknownUnicastEnable)).append("\n");
    sb.append("    unknownUnicast: ").append(toIndentedString(unknownUnicast)).append("\n");
    sb.append("    multicastEnable: ").append(toIndentedString(multicastEnable)).append("\n");
    sb.append("    multicast: ").append(toIndentedString(multicast)).append("\n");
    sb.append("    broadcastEnable: ").append(toIndentedString(broadcastEnable)).append("\n");
    sb.append("    broadcast: ").append(toIndentedString(broadcast)).append("\n");
    sb.append("    action: ").append(toIndentedString(action)).append("\n");
    sb.append("    recoverTime: ").append(toIndentedString(recoverTime)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

